Search found 2090 matches

Go to advanced search

by renatorivo
Fri Jun 14, 2019 9:05 pm
Forum: Developers corner
Topic: Import Idf - Python3
Replies: 0
Views: 26

Import Idf - Python3

C:\Users\User...\FreeCAD_0.19.16944_x64_LP_12.1.2_PY3QT5-WinVS2015\Mod\Idf\Idf.py 25 import FreeCAD, Part, os, FreeCADGui, __builtin__ ..... 57 pythonopen = __builtin__.open from https://docs.python.org/3.0/whatsnew/3.0.html Renamed module __builtin__ to builtins (removing the underscores, adding an...
by renatorivo
Fri Jun 14, 2019 7:20 pm
Forum: Forum Italiano
Topic: IDF import: error import "<class 'ModuleNotFoundError'>: No module named '__builtin__'
Replies: 1
Views: 64

Re: IDF import: error import "<class 'ModuleNotFoundError'>: No module named '__builtin__'

Ciao. Il problema è dovuto al passaggio a Python3: Renamed module __builtin__ to builtins (removing the underscores, adding an ‘s’). The __builtins__ variable found in most global namespaces is unchanged. To modify a builtin, you should use builtins, not __builtins__! Puoi vedere altro in https://do...
by renatorivo
Tue Jun 11, 2019 8:18 pm
Forum: Forum Italiano
Topic: Come aggiornare freecad.
Replies: 2
Views: 84

Re: Come aggiornare freecad.

Ciao Massimo, benvenuto. Chiedere nel forum è sempre la cosa migliore, non crea nessun scompiglio e può essere utile anche ad altri. Ediloren è il moderatore, ma al momento sta lavorando su qualcosa di livello nettamente superiore: https://www.freecadweb.org/wiki/EM_Workbench Le due versioni possono...
by renatorivo
Tue Jun 11, 2019 11:46 am
Forum: Draft, Arch & BIM
Topic: Bspline strange behaviour
Replies: 5
Views: 191

Re: Bspline strange behaviour

This also:
Cattura-b-spline.PNG
Cattura-b-spline.PNG (20.48 KiB) Viewed 138 times
B-spline with SolidWorks
splineSolidW.PNG
splineSolidW.PNG (54.24 KiB) Viewed 138 times
by renatorivo
Wed Jun 05, 2019 8:15 pm
Forum: Wiki
Topic: HowTo Pages for the Wiki?
Replies: 10
Views: 262

Re: HowTo Pages for the Wiki?

My worry would be that its really hard to get a separate contents page consistent. Primary concern would be for me to keep editing as easy as possible. My past experience with different pages never really worked out well. For user browsing I think we agree that all items should be in a single list....
by renatorivo
Mon Jun 03, 2019 4:10 pm
Forum: Forum Italiano
Topic: problemi salvataggio file freecad
Replies: 2
Views: 95

Re: problemi salvataggio file freecad

Sembra un problema che si era presentato in passato, dovuto a Gnome.
Cerca con "Save .zip" o simile nel forum per leggere alcuni post relativi a questo.
Dovrebbe risolversi aggiungendo i PPA di FreeCAD: https://www.freecadweb.org/wiki/Install_on_Unix/it e poi aggiornando il sistema.
by renatorivo
Sat Jun 01, 2019 12:19 pm
Forum: Forum Italiano
Topic: intersezione fra rette
Replies: 3
Views: 127

Re: intersezione fra rette

Grazie Mario, funziona: pl = FreeCAD.Placement() >>> pl.Rotation.Q = (0.0,0.0,0.0,1.0) >>> pl.Base = FreeCAD.Vector(0.0,0.0,0.0) >>> points = [FreeCAD.Vector(0.0,0.0,0.0),FreeCAD.Vector(0.0,-40.0,0.0)] >>> line = Draft.makeWire(points,placement=pl,closed=False,face=True,support=None) >>> Draft.autog...
by renatorivo
Fri May 31, 2019 9:12 am
Forum: Wiki
Topic: HowTo Pages for the Wiki?
Replies: 10
Views: 262

Re: HowTo Pages for the Wiki?

Can you explain what that means? Sorry, I didn't explain. Add the "HowTo" element to the "Template: GuiCommand". This allows you to create example usage pages, without making the command description pages too long. A similar thing could also be introduced for some excellent examples that are scatte...
by renatorivo
Thu May 30, 2019 9:44 pm
Forum: Wiki
Topic: HowTo Pages for the Wiki?
Replies: 10
Views: 262

Re: HowTo Pages for the Wiki?

HowTo.PNG
HowTo.PNG (32.38 KiB) Viewed 220 times
by renatorivo
Wed May 29, 2019 9:00 pm
Forum: Forum Italiano
Topic: intersezione fra rette
Replies: 3
Views: 127

Re: intersezione fra rette

Ciao. La soluzione per lo script sembra essere in questi due post: https://forum.freecadweb.org/viewtopic.php?t=26650 https://forum.freecadweb.org/viewtopic.php?t=19698 io però n Windows ottengo sempre un errore 'DraftGeomUtils' is not defined anche con FreeCAD 0.19 non ho ancora provato in Ubuntu. ...

Go to advanced search